
From: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>

This patch adds pci_disable_device() into usb_hcd_pci_remove().

If the driver decides to stop using the device, it should call
pci_disable_device() to deallocate any IRQ resources, disable PCI
bus-mastering, etc.

Signed-off-by: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/usb/core/hcd-pci.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/usb/core/hcd-pci.c~add-missing-pci_disable_device-for-pci-based-usb-hcd drivers/usb/core/hcd-pci.c
--- 25/drivers/usb/core/hcd-pci.c~add-missing-pci_disable_device-for-pci-based-usb-hcd	2004-09-12 23:03:16.595408088 -0700
+++ 25-akpm/drivers/usb/core/hcd-pci.c	2004-09-12 23:03:16.599407480 -0700
@@ -260,6 +260,8 @@ void usb_hcd_pci_remove (struct pci_dev 
 	}
 
 	usb_deregister_bus (&hcd->self);
+
+	pci_disable_device(dev);
 }
 EXPORT_SYMBOL (usb_hcd_pci_remove);
 
_
